heat_template_version: 2018-03-02
resources:
  ENV_1_1:
    type: OS::Neutron::ProviderNet
    properties:
      network_type: vlan
      shared: False
      admin_state_up: True
      name: ENV_1
      router_external: False
      physical_network: datacentre
      segmentation_id: 1229
      tags: ['DUMMY', 'PRD']

  ENV_1_1_SUBNET_1:
    type: OS::Neutron::Subnet
    properties:
      network: { get_resource: ENV_1_1 }
      enable_dhcp: true
      dns_nameservers:  [1.1.1.1, 1.1.1.2]
      gateway_ip: 175.62.31.254
      cidr: 175.62.24.0/21
      name: ENV_1_SUBNET_1
      allocation_pools:
        - start: 175.62.24.2
          end: 175.62.24.51
      tags: ['az-2']
      segment: { get_attr: [ENV_1_1, segments, 0, id] }

  ENV_1_1_SUBNET_2:
    type: OS::Neutron::Subnet
    properties:
      network: { get_resource: ENV_1_1 }
      enable_dhcp: true
      dns_nameservers:  [1.1.1.1, 1.1.1.2]
      gateway_ip: 175.60.31.254
      cidr: 175.60.24.0/21
      name: ENV_1_SUBNET_2
      allocation_pools:
        - start: 175.60.24.2
          end: 175.60.24.51
      tags: ['az-1']
      segment: { get_resource: ENV_1_1_SEGMENT_2 }

  ENV_1_1_SEGMENT_2:
    type: OS::Neutron::Segment
    properties:
      network: { get_resource: ENV_1_1 }
      network_type: vlan
      name: ENV_1_SEGMENT_2
      physical_network: datacentre2
      segmentation_id: 229

  ENV_1_1_SUBNET_3:
    type: OS::Neutron::Subnet
    properties:
      network: { get_resource: ENV_1_1 }
      enable_dhcp: true
      dns_nameservers:  [1.1.1.1, 1.1.1.2]
      gateway_ip: 171.119.151.254
      cidr: 171.119.144.0/21
      name: ENV_1_SUBNET_3
      allocation_pools:
        - start: 171.119.144.2
          end: 171.119.144.51
      tags: ['az-3']
      segment: { get_resource: ENV_1_1_SEGMENT_3 }

  ENV_1_1_SEGMENT_3:
    type: OS::Neutron::Segment
    properties:
      network: { get_resource: ENV_1_1 }
      network_type: vlan
      name: ENV_1_SEGMENT_3
      physical_network: datacentre3
      segmentation_id: 2239
